apt: debPackagesIndex Class Reference

apt 2.9.8 commandline package manager

Public Member Functions | Protected Member Functions | List of all members
debPackagesIndex Class Reference
Inheritance diagram for debPackagesIndex:

## Public Member Functions
virtual const Type * | GetType () const APT_OVERRIDE APT_PURE
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const APT_OVERRIDE
virtual bool | HasPackages () const APT_OVERRIDE
| debPackagesIndex (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexTargetFile
virtual std::string | ArchiveURI (std::string const &File) const APT_OVERRIDE
virtual std::string | Describe (bool const Short=false) const APT_OVERRIDE
virtual bool | Exists () const APT_OVERRIDE
virtual unsigned long | Size () const APT_OVERRIDE
IndexTarget | GetIndexTarget () const APT_HIDDEN
| pkgDebianIndexTargetFile (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
virtual bool | Merge (pkgCacheGenerator &Gen, OpProgress *const Prog) APT_OVERRIDE
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const APT_OVERRIDE
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual const Type * | GetType () const =0
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual std::string | Describe (bool const Short=false) const =0
virtual std::string | ArchiveURI (std::string const &) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
virtual bool | Exists () const =0
virtual bool | HasPackages () const =0
virtual unsigned long | Size () const =0
virtual bool | Merge (pkgCacheGenerator &, OpProgress *const)
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Member Functions
virtual uint8_t | GetIndexFlags () const APT_OVERRIDE
Protected Member Functions inherited from pkgDebianIndexTargetFile
virtual std::string | IndexFileName () const APT_OVERRIDE
virtual std::string | GetComponent () const APT_OVERRIDE
virtual std::string | GetArchitecture () const APT_OVERRIDE
virtual std::string | GetProgressDescription () const APT_OVERRIDE
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName) APT_OVERRIDE
Protected Member Functions inherited from pkgDebianIndexFile
virtual std::string | IndexFileName () const =0
virtual std::string | GetComponent () const =0
virtual std::string | GetArchitecture () const =0
virtual std::string | GetProgressDescription () const =0
virtual uint8_t | GetIndexFlags () const =0
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName)=0
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Additional Inherited Members
Protected Attributes inherited from pkgDebianIndexTargetFile
IndexTarget const | Target
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## ◆ ArchiveInfo()

std::string ArchiveInfo | ( | pkgCache::VerIterator const & | Ver | ) | const
| virtual

Reimplemented from pkgIndexFile.

## ◆ GetIndexFlags()

uint8_t GetIndexFlags | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetType()

const pkgIndexFile::Type * GetType | ( |  | ) | const
| virtual

Implements pkgIndexFile.

## ◆ HasPackages()

virtual bool HasPackages | ( |  | ) | const
| inlinevirtual

Implements pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debindexfile.h
- apt-pkg/deb/debindexfile.cc